libxml2: xmlmodule.h File Reference

libxml2

Loading...
Searching...
No Matches
Typedefs | Enumerations | Functions
xmlmodule.h File Reference

Dynamic module loading. More...

## Typedefs
typedef struct _xmlModule | xmlModule
| A handle to a dynamically loaded module.

## Enumerations
enum | xmlModuleOption
| enumeration of options that can be passed down to xmlModuleOpen

## Functions
xmlModule * | xmlModuleOpen (const char *filename, int options)
| Opens a module/shared library given its name or path.
int | xmlModuleSymbol (xmlModule *module, const char *name, void **result)
| Lookup for a symbol address in the given module.
int | xmlModuleClose (xmlModule *module)
| The close operations unload the associated module and free the data associated to the module.
int | xmlModuleFree (xmlModule *module)
| The free operations free the data associated to the module but does not unload the associated shared library which may still be in use.

## Detailed Description

Dynamic module loading.

API for dynamic module loading. Only used by old libxslt versions and subject to removal.

Copyright
  See Copyright for the status of this software.

Author
  Joel W. Reed

## Function Documentation

## ◆ xmlModuleClose()

int xmlModuleClose | ( | xmlModule * | module | ) |

The close operations unload the associated module and free the data associated to the module.

Deprecated
  Will be removed.

Parameters

  module | the module handle

Returns
  0 in case of success, -1 in case of argument error and -2 if the module could not be closed/unloaded.

## ◆ xmlModuleFree()

int xmlModuleFree | ( | xmlModule * | module | ) |

The free operations free the data associated to the module but does not unload the associated shared library which may still be in use.

Deprecated
  Will be removed.

Parameters

  module | the module handle

Returns
  0 in case of success, -1 in case of argument error

## ◆ xmlModuleOpen()

xmlModule * xmlModuleOpen | ( | const char * | name,
|  | int | options )

Opens a module/shared library given its name or path.

Deprecated
  Will be removed.

NOTE: that due to portability issues, behaviour can only be guaranteed with name using ASCII. We cannot guarantee that an UTF-8 string would work, which is why name is a const char * and not a const xmlChar * . TODO: options are not yet implemented.

Parameters

  name | the module name
  options | a set of xmlModuleOption

Returns
  a handle for the module or NULL in case of error

## ◆ xmlModuleSymbol()

int xmlModuleSymbol | ( | xmlModule * | module,
|  | const char * | name,
|  | void ** | symbol )

Lookup for a symbol address in the given module.

Deprecated
  Will be removed.

NOTE: that due to portability issues, behaviour can only be guaranteed with name using ASCII. We cannot guarantee that an UTF-8 string would work, which is why name is a const char * and not a const xmlChar * .

Parameters

  module | the module
  name | the name of the symbol
  symbol | the resulting symbol address

Returns
  0 if the symbol was found, or -1 in case of error